<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="www" id="top-urls-by-result">

 <lire:title>Top URLs By HTTP Result WWW Report</lire:title>
 <lire:description>
  <para>This report shows for each HTTP result the URLs with the most
   requests that ended in that result. This report is useful to find
   broken links and pages with access problem.
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="url_to_show" type="int" default="10">
   <lire:description>
    <para>This parameter controls the number of URLs to
     display in the report for each HTTP result.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Requests by URL By HTTP Result, Top
   $url_to_show URLs</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:group sort="http_result">
   <lire:field name="http_result"/>

   <lire:count name="request_total"/>
   <lire:group sort="-request_total_by_url" limit="$url_to_show">
    <lire:field name="requested_page"/>
    <lire:count name="request_total_by_url"/>
   </lire:group>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->

